/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/
#include <stdio.h>
#include <Xm/RowColumn.h>

#include "utils.h"

/*-------------------------------------------------------------------------
** Function:	main_menubar
**
** Purpose:	Set up the menu bar for the main window
**
*/

Widget main_menubar(Widget form)
{
	int		ac;
	Arg		al[30];
	Widget		item;
	Widget		menu;
	Widget		menu_bar;
	extern void 	quitCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	version_helpCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	overview_helpCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);

	ac = 0;
	XtSetArg(al[ac], XmNtopAttachment,	XmATTACH_FORM); ac++;
	XtSetArg(al[ac], XmNleftAttachment,	XmATTACH_FORM); ac++;
	XtSetArg(al[ac], XmNrightAttachment,	XmATTACH_FORM); ac++;

	menu_bar = XmCreateMenuBar(form, "menu_bar", al, ac);
	XtManageChild(menu_bar);
/*
** File pulldown menu
*/
	menu = make_menu("System", menu_bar);
	item = make_menu_item("Quit", quitCB, NULL, menu);
/*
** Help pulldown menu
*/
	menu = make_help_menu("Help", menu_bar);
	item = make_menu_item("Version", version_helpCB, NULL, menu);
	item = make_menu_item("Overview", overview_helpCB, NULL, menu);

	return(menu_bar);
}
