/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/
#ifndef _IB_PREFS_
#define _IB_PREFS_

#define MAXCHAR		200

/*-----------------------------------------------------------------
** Include:
**	ib_prefs.h
**
*/
#include <Xm/Xm.h>

/*-------- ib_prefs_gui --------*/
typedef struct {
	Widget		build_string;
	Widget		cflags;
	Widget		fflags;
	Widget		sys_includes;
	Widget		customflags;
	Widget		bootstrap_imake;
	Widget		bootstrap_xmkmf;
	Widget		bootstrap_custom;
	Widget		bootstrap_imake_text;
	Widget		bootstrap_xmkmf_text;
	Widget		bootstrap_custom_text;
	Widget		compiler_cc;
	Widget		compiler_gcc;
	Widget		compiler_gcpp;
	Widget		compiler_custom;
	Widget		compiler_custom_text;
	Widget		config_location;
	Widget		file_match;
	Widget		makefile;
	Widget		motif_1_1;
	Widget		motif_1_2;
	Widget		top_level;
} ib_prefs_gui;

#define IB_IMAKE	0
#define IB_XMKMF	1
#define IB_CUSTOM	2

#define IB_CC		0
#define IB_GCC		1
#define IB_GCPP		2
#define IB_CUSTOM_CC	3

/*-------- ib_prefs --------*/
typedef struct {
	char		cflags[MAXCHAR];
	char		fflags[MAXCHAR];
	char		sys_includes[MAXCHAR];
	char		customflags[MAXCHAR];
	int		compiler;
	char		compiler_text[MAXCHAR];
	char		config_location[MAXCHAR];
	char		build_string[MAXCHAR];
	char		file_match[80];
	char		make_exe[MAXCHAR];
	ib_prefs_gui	*gui;
	Boolean		use_motif_1_2;
	int		bootstrap;
	char		bootstrap_imake_text[MAXCHAR];
	char		bootstrap_xmkmf_text[MAXCHAR];
	char		bootstrap_custom_text[MAXCHAR];
} ib_prefs;

/*-------- Prototypes --------*/
ib_prefs_gui		*new_ib_prefs_gui(Widget w);
void			show_ib_prefs_gui(ib_prefs_gui *p);
void			dismiss_ib_prefs_gui(ib_prefs_gui *p);
void			zap_ib_prefs_gui(ib_prefs_gui *p);
void			create_ib_prefs_gui(ib_prefs_gui *p, Widget w);
ib_prefs		*new_ib_prefs(Widget w);
void			zap_ib_prefs(ib_prefs *p);
void			set_ib_prefs_gui(ib_prefs *p);
void			get_ib_prefs_gui(ib_prefs *p);
void			load_prefs_file(ib_prefs *p);


#endif
