/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/
#ifndef _IB_PROJECT_
#define _IB_PROJECT_

/*-----------------------------------------------------------------
** Include:
**	ib_project.h
**
*/
#include <Xm/Xm.h>
#include "list.h"
#include "ib_prefs.h"
#include "ib_directory.h"

#define IB_VERSION		"1.1"
#define IB_COPYRIGHT_YEAR	"1994"

#define MAXCHAR		200

/*-------- ib_project_gui --------*/
typedef struct {
	Widget		target_list;
	Widget		target;
	Widget		top_level;
	Widget		comments_text;
	Widget		custom_text;
} ib_project_gui;

/*-------- ib_project --------*/
typedef struct {
	list		*dir_list;
	char		dir_top[MAXCHAR];
	char		name[80];
	ib_prefs	*prefs;
	ib_project_gui	*gui;
	Boolean		saved;
	char		*comments_text;
	char		*custom_text;
} ib_project;

/*-------- Globals --------*/
extern ib_project	*project;

/*-------- Prototypes --------*/
ib_project_gui		*new_ib_project_gui(Widget w);
void			show_ib_project_gui(ib_project_gui *p);
void			dismiss_ib_project_gui(ib_project_gui *p);
void			zap_ib_project_gui(ib_project_gui *p);
void			create_ib_project_gui(ib_project_gui *p, Widget w);

ib_project		*new_ib_project(Widget w);
void			zap_ib_project(ib_project *p);
void			set_ib_project_gui(ib_project *p);

#endif
