/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/
#ifndef _IB_TARGET_
#define _IB_TARGET_

/*-----------------------------------------------------------------
** Include:
**	ib_target.h
**
*/
#include <Xm/Xm.h>
#include "list.h"

#define MAXCHAR		200

/*-------- ib_target_gui --------*/
typedef struct {
	char		target_name[80];
	Widget		file_select_dialog;
	Widget		file_list;
	Widget		includes;
	Widget		is_directory;
	Widget		is_library;
	Widget		is_program;
	Widget		local_libs;
	Widget		name;
	Widget		top_level;
	Widget		use_depend;
	Widget		depend_text;
	Widget		use_install;
	Widget		install_text;
	Widget		use_lint;
	Widget		use_man;
	Widget		man_text;
	Widget		use_x_lib;
	Widget		use_xaw_lib;
	Widget		use_xm_lib;
	Widget		use_xt_lib;
	Widget		use_f77_lib;
	Widget		use_gl_lib;
	Widget		comments_text;
} ib_target_gui;

/*-------- Target Types --------*/
#define IB_PROGRAM	0
#define IB_LIBRARY	1
#define IB_DIRECTORY	2

/*-------- ib_target --------*/
typedef struct {
	char		name[80];
	list		*file_list;
	char		include_dirs[MAXCHAR];
	char		local_libs[MAXCHAR];
	ib_target_gui	*gui;
	int		type;
	Boolean		use_depend;
	Boolean		use_f77_lib;
	Boolean		use_gl_lib;
	Boolean		use_install;
	Boolean		use_lint;
	Boolean		use_man;
	Boolean		use_x_lib;
	Boolean		use_xt_lib;
	Boolean		use_xaw_lib;
	Boolean		use_xm_lib;
	char		depend_text[MAXCHAR];
	char		install_text[MAXCHAR];
	char		man_text[MAXCHAR];
	char		*comments_text;
	int		source_count;
	char		**source_list;
} ib_target;

/*-------- Prototypes --------*/
ib_target_gui		*new_ib_target_gui(Widget w, char *name);
void			show_ib_target_gui(ib_target_gui *p);
void			dismiss_ib_target_gui(ib_target_gui *p);
void			zap_ib_target_gui(ib_target_gui *p);
void			create_ib_target_gui(ib_target_gui *p, Widget w);

ib_target		*new_ib_target(Widget w, char *name);
void			zap_ib_target(ib_target *t);
ib_target		*get_named_ib_target(char *name);
void			zap_named_ib_target(char *name);
void			set_ib_target_gui(ib_target *t);
void			get_ib_target_gui(ib_target *t);

#endif
