/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/
/*
** Header
**	list.h
**
** Purpose:
**	Definitions for the list ADT
**
*/

#ifndef LIST

struct lnode {
	void*		data;
	struct lnode*	next;
	struct lnode*	prev;
};

typedef	struct lnode	lnode;

typedef struct {
	lnode*	head;
	lnode*	current;
	lnode*	tail;
	int	size;
} list;

/*
** Prototypes
*/
list*	make_list(int size);
int	add(list *l, void *element);
int	insert(list *l, void *element);
int	delete(list *l);
void*	current(list *l);
void*	first(list *l);
void*	last(list *l);
void*	next(list *l);
void*	prev(list *l);
int	set_current(list *l, void *element);
void	free_list(list *l);
void	listerror();

#define LIST
#endif

#ifndef _COMMON_
#define _COMMON_

typedef char* common;

#endif
