/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/
#include <stdio.h>
#include <Xm/RowColumn.h>

#include "utils.h"

Widget main_menubar(Widget form)
{
	int		ac;
	Arg		al[30];
	Widget		item;
	Widget		menu;
	Widget		menu_bar;
	extern void 	regCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	bugsCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	headerCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	customCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	prefCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	quitCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	buildCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	makeCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	dependCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	version_helpCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	overview_helpCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	edit_imakefileCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);
	extern void 	view_configCB(Widget w, XtPointer value,
				XmAnyCallbackStruct *cbs);

	ac = 0;
	XtSetArg(al[ac], XmNtopAttachment,	XmATTACH_FORM); ac++;
	XtSetArg(al[ac], XmNleftAttachment,	XmATTACH_FORM); ac++;
	XtSetArg(al[ac], XmNrightAttachment,	XmATTACH_FORM); ac++;

	menu_bar = XmCreateMenuBar(form, "menu_bar", al, ac);
	XtManageChild(menu_bar);
/*
** File pulldown menu
*/
	menu = make_menu("System", menu_bar);
	item = make_menu_item("Preferences", prefCB, NULL, menu);
	item = make_menu_separator(menu);
	item = make_menu_item("Registration", regCB, NULL, menu);
	item = make_menu_item("Comments/Bugs", bugsCB, NULL, menu);
	item = make_menu_separator(menu);
	item = make_menu_item("Quit", quitCB, NULL, menu);
/*
** Edit pulldown menu
*/
	menu = make_menu("Edit", menu_bar);
	item = make_menu_item("Header", headerCB, NULL, menu);
	item = make_menu_item("Custom Options", customCB, NULL, menu);
	item = make_menu_separator(menu);
	item = make_menu_item("Imakefile", edit_imakefileCB, NULL, menu);
	item = make_menu_item("Config Files", view_configCB, NULL, menu);
	XtSetSensitive(item, False);
/*
** Build pulldown menu
*/
	menu = make_menu("Build", menu_bar);
	item = make_menu_item("Create Imakefile", buildCB, NULL, menu);
	item = make_menu_separator(menu);
	item = make_menu_item("make Makefile", makeCB, NULL, menu);
	item = make_menu_item("make depend", dependCB, NULL, menu);
/*
** Help pulldown menu
*/
	menu = make_help_menu("Help", menu_bar);
	item = make_menu_item("Version", version_helpCB, NULL, menu);
	item = make_menu_item("Overview", overview_helpCB, NULL, menu);

	return(menu_bar);
}
