/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/

char	overview_help_text[] = "\n\
Table of Contents\n\
\n\
	Introduction\n\
	Usage\n\
	Defining a Target\n\
	Defining Source Files\n\
	Preferences\n\
	Custom Options\n\
	Comments in the Imakefile\n\
	Configuration File\n\
	Building the Imakefile\n\
	Viewing the Imakefile\n\
	Comments and Bug Reporting\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Introduction\n\
\n\
Imake Builder (IB) is a tool to assist the programmer to build portable\n\
Imakefiles.  Although Imakefiles were intended to be simple and\n\
portable, the lack of documentation, and thus the lack of consistency,\n\
caused them to be difficult to use.  IB allows the user to build and\n\
maintain consistent Imakefiles that have multiple targets which consist\n\
of any combination of executables, libraries and directories.\n\
\n\
Imakefiles consist of three main sections.  The first section includes\n\
all information that is pertinent to each target defined.  These might\n\
include CFLAGS, #define statements, etc.  The middle section contains\n\
information that is specific to each target, i.e., local libraries,\n\
local includes, and the source code necessary to build the target.  The\n\
last section is allocated for calls that build upon all the information\n\
provided in the first two sections, like MakeDepend or MakeSubDir\n\
calls.\n\
\n\
IB's GUI is organized similarly.  The first section corresponds to IB's\n\
Preference panel, the second to the Target panels, and the last is\n\
defined implicitly.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Usage\n\
\n\
IB creates its Imakefile in the current directory, thus the user begins\n\
by going to the desired directory and typing 'ib':\n\
\n\
		% cd src\n\
		% ib\n\
\n\
If IB has already created an Imakefile in the directory, it will load\n\
that file and display it.  The IB system will warn the user if the file\n\
was not generated by IB.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Defining a Target\n\
\n\
A target is an executable, library or directory which is comprised of\n\
files and specific configuration parameters.  It can be considered the\n\
final product of an Imakefile.  An Imakefile can have one or more\n\
targets within it.  A list of targets is shown on the main panel.  To\n\
add a target to this list, type a name in the Current Target input\n\
field and hit <RETURN> or click on <ADD>.  A Target panel will be shown\n\
for each Target created.  Targets can be deleted by either selecting it\n\
on the main panel's target list and clicking on <DELETE> or by clicking\n\
on <DELETE> on the Target's panel.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Defining Source Files\n\
\n\
Source files are the body of a target.  A default list of files (*.c,\n\
*.C, *.f) will be shown in the Target panel.  Files can be deleted by\n\
selecting one or more items in the file list and clicking on <DELETE>.\n\
Items can be added by clicking on <ADD> which brings up a file\n\
selector, allowing the user to add files manually.  Files that do not\n\
exist can also be added in the same manner.  Simply type in the name\n\
you want added to the list.  The default list of files can be brought\n\
back by clicking on <RESET>.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Preferences\n\
\n\
IB uses a standard set of parameters to write Imakefiles.  Many of\n\
these parameters can be modified through the Preferences panel.  To\n\
invoke this option, choose Preferences from the File menu.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Customization\n\
\n\
A method for providing additional customization of the Imakefile has\n\
been provided.  Choose Custom Options from the Edit menu and place the\n\
window.  Anything typed in this area will be placed, verbatim, into the\n\
Imakefile.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Comments Inside the Imakefile\n\
\n\
There are two areas where the user can place comments into the Imakefile:\n\
the header and at the top of each target block.  To edit comments for\n\
the Imakefile header, choose Header from the Edit menu.  To edit comments\n\
for a target block, use the Comments field on the target's panel.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Configuration File\n\
\n\
IB preferences can be saved to a configuration file through the\n\
Preferences panel by clicking on <SAVE>.  This procedure creates a file\n\
'.ib_config' in the current directory.  Later, when the IB is invoked,\n\
this file will be read and the appropriate parameters set.  IB looks in\n\
the current directory first and if a configuration file is not found,\n\
it then tries to find the file in the user's home directory.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Building the Imakefile\n\
\n\
Once all the targets have been defined, choose Create Imakefile from\n\
the Build menu.  This will copy the existing Imakefile to Imakefile.bak\n\
and will create a new Imakefile.  To generate a makefile, choose\n\
Makefile from the Build menu.  This invokes the bootstrap selected on\n\
the Preferences panel (see Preferences).  Outside of the IB system, the\n\
user avoids retyping the bootstrap to generate the Makefile by typing:\n\
\n\
	% make Makefile\n\
\n\
Imake knows what to do from here.  The make depend option on the Build\n\
menu is purely a convenience function which generates the targets'\n\
dependencies on libraries and includes if the user has requested\n\
dependencies from any of the target panels.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Viewing the Imakefile\n\
\n\
The Imakefile can be viewed and edited directly using the Edit\n\
Imakefile from the Edit menu.\n\
\n\
-------------------------------------------------------------------------\n\
\n\
Comments and Bug Reporting\n\
\n\
IB uses the RegForm tool for registration, comments, and bug\n\
reporting.  Any comments, bugs, or software modifications can be\n\
reported to the author via this mechanism.  Choose Comments from the\n\
File menu and place the RegForm window.  Fill in the blanks and hit\n\
<Send>.  If RegForm was not installed with IB, comments and\n\
registration should be sent to:\n\
\n\
	jdyvig@photon.com\n\
\n\
Be sure to include the following information:\n\
\n\
	ImakeBuilder 1.1\n\
	Name\n\
	Company\n\
	E-Mail Address\n\
";
